// RecorderThread.h: interface for the CRecorderThread class.
//
// This source file is a supplement to the article "Digitalni zvuk". The article
// was published in the #34 issue of the "PC" computer monthly, published in
// Belgrade, Yugoslavia by "PC Press"
//
// You can freely use, modify and redistribute this file, provided that this
// header is kept unchanged
//
//                                                                 Ivica Nikolic
//                                                      ivica@galeb.etf.bg.ac.yu
//
////////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_RECORDERTHREAD_H__CF4745EB_B04C_11D1_863D_000000000000__INCLUDED_)
#define AFX_RECORDERTHREAD_H__CF4745EB_B04C_11D1_863D_000000000000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "WaveIOThread.h"

class CRecorderThread : public CWaveIOThread
{
public:
	CRecorderThread(
		WAVEFORMATEX* pwfmt,
		UINT nBufferSize,
		UINT nIOBuffers,
		UINT nRingBuffers
	);
	virtual ~CRecorderThread();

	virtual void Run();

protected:
	void SubmitInputBuffer( UINT nBuffer, BOOL bShouldResetEvent );

	HWAVEIN m_hwi;
};

#endif // !defined(AFX_RECORDERTHREAD_H__CF4745EB_B04C_11D1_863D_000000000000__INCLUDED_)
